<!DOCTYPE html>

<html lang="en">

<style>
    input[type=text],
    select {
        width: 100%;
        padding: 12px 10px;
        margin: 8px 0;
        display: inline-block;
        border: 1px solid #ccc;
        border-radius: 4px;
        box-sizing: border-box;
    }
    
    input[type=submit] {
        width: 10%;
        background-color: #4CAF50;
        color: white;
        padding: 14px 20px;
        margin: 8px 0;
        border: none;
        border-radius: 4px;
        cursor: pointer;
    }
</style>

<head>

    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <title>KESAN</title>


    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <link rel="stylesheet" href="css/heroic.css">
    <link rel="stylesheet" href="css/bootstrap.min.css">
    <title>KESAN</title>
    <link rel="stylesheet" href="css/help_people.css">
    <link rel="stylesheet" href="css/help_people.css">
    <link rel="stylesheet" href="css/animate.css">

</head>

<body>
    <!-- header -->
    <meta charset="utf-8">
    <link rel="stylesheet" href="css/bootstrap.min.css">
    <!-- Fixed navbar -->
    <nav class="navbar navbar-default">
        <div class="container-fluid">
            <!-- Brand and toggle get grouped for better mobile display -->
            <div class="navbar-header">
                <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#bs-example-navbar-collapse-1" aria-expanded="false">
          <span class="sr-only">Toggle navigation</span>
          <span class="icon-bar"></span>
          <span class="icon-bar"></span>
          <span class="icon-bar"></span>
        </button>
                <a class="navbar-brand" href="/">Kesan</a>
            </div>

            <!-- Collect the nav links, forms, and other content for toggling -->
            <div class="collapse navbar-collapse" id="bs-example-navbar-collapse-1">
                <ul class="nav navbar-nav">
                    <li class="{{ Request::is('/') ? 'active' : '' }}">
                        <a href="/">Beranda</a>
                    </li>

                    <li class="{{ Request::is('about') ? 'active' : '' }}">
                        <a href="/about">Tentang</a>
                    </li>
                    <!--
                    <li class="{{ Request::is('contact_us') ? 'active' : '' }}">
                        <a href="/contact">Contact Us</a>
                    </li>
                    -->
                </ul>
            </div>
            <!-- /.navbar-collapse -->
        </div>
        <!-- /.container-fluid -->
    </nav>


    <section class="animated">
        <div class="container" id="bottom-spacing">
            <div class="row">
                <div class="col-md-12 section-heading text-center">
                    <h2 class="to-animate fadeInUp animated">
                        <font color="#26C55B">ADMINISTRATOR</font>
                    </h2>
                    <div class="row">
                        <p>Selamat Datang, Admin! | <a href="/">Keluar</a> </p>
                        <div class="col-md-8 col-md-offset-2 subtext fadeInUp animated to-animate">
                            <h4>Input Data | Beban Kerja Terpadu </h4>
                        </div>
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-md-2">
                </div>
                <div class="col-md-8">
                    <div class="fh5co-person text-center fadeInUp animated to-animate">


                        <br>
                        <!-- tabel tampilan -->

                        <table style="width:100%">

                            <tr>
                                <td>
                                    <label for="lname">Indeks Kenyamanan</label>
                                    <input list="paket" class="inputKinerja" name="tingkatKinerja" data-role="date" id="tingkatKinerja" value="" placeholder="Note : Dibawah Normal,Normal, Diatas Normal" />
                                    <datalist id="paket">
                                    <option value="Dibawah Normal">
                                    <option value="Normal">
                                    <option value="Diatas Normal">
                                </datalist>
                                </td>

                            </tr>
                            <tr>

                                <td>
                                    <label for="lname">Presentase Insentif</label>
                                    <input type="text" class="inputKinerja" id="insentif" name="insentif">
                                </td>
                            </tr>
                            <tr>

                                <td>
                                    <label for="lname">Biaya Produksi Per Bulan</label>
                                    <input type="text" class="inputKinerja" id="biaya" name="biaya">
                                </td>
                            </tr>

                        </table>
                        <a href="/inputKinerja.html"><button  class="form-submit-button "  >Kembali</button></a>
                        <button type="submit" class="form-submit-button " onclick="onForm()">Berikutnya</button>


                    </div>
                </div>
                <div class="col-md-2">
                </div>
            </div>



        </div>
    </section>
    <div class="container-fluid" id="spacing-bottom">
    </div>
    <!-- Footer -->
    <div class="footer-ex">

        <div class="container">
            <p class="m-0 text-center text-white text-middle">Copyright &copy;2019 KESAN</p>

        </div>
</body>
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.1.0/jquery.min.js"></script>

<script>
    var today = new Date();
    var day = today.getDay()
    var month = today.getMonth();
    var year = today.getFullYear();
    document.getElementById('timeOfMeasurement').value = day + '-' + month + '-' + year;


    function onForm() {

        var arrRuang = new Array();
        var nilai_umr = 0;
        var lengthRuang = document.getElementsByClassName("inputKinerja").length;

        for (var i = 0; i < lengthRuang; i++) {
            arrRuang[i] = document.getElementsByClassName("inputKinerja")[i].value;
        }
        var JSONDataPekerja = window.localStorage.getItem('UserData');

        switch (arrRuang[0]) {
            case "Dibawah Normal":
                nilai_umr = 1454200;
                break;
            case "Normal":
                nilai_umr = 1572150;
                break;
            case "Diatas Normal":
                nilai_umr = 1709150;
                break;
            default:
                nilai_umr = 1454200;
        }

        var y2 = (arrRuang[1] / 100) * nilai_umr;
        var aa2 = arrRuang[2];
        var ab2 = y2 - aa2;

        var indeks_erg = (aa2 / nilai_umr) + (ab2 / nilai_umr);
        indeks_erg = indeks_erg.toPrecision(3);


        var timestamp = new Date().getTime() / 1000;

        var JSONIndeks = JSON.stringify(indeks_erg);

        var JSONPekerja = JSON.parse(JSONDataPekerja);
        var Pekerja = JSONPekerja[1];


        $.post("http://kansei-kesan.tp.ugm.ac.id/action.php", {
            isErgonomi: 1,
            JSONIndeks: JSONIndeks,
            timestamp: timestamp,
            JSONPekerja: Pekerja
        }, function(result) {
            // alert(result)
            //~ alert(result);
            window.localStorage.setItem("arrResult", result)
            window.location.href = "/kenyamananResult.html"
        });

    }
</script>

</html>